Index: Tst/Long/deform_l.res.gz.uu
===================================================================
--- Tst/Long/deform_l.res.gz.uu	(revision 3e56102a05018b475251661dfef1a91ce1574aa4)
+++ Tst/Long/deform_l.res.gz.uu	(revision 6c8f2bd7d8f3d28a5621da4bfc39a75f6d4ce055)
@@ -1,5 +1,5 @@
 begin 640 deform_l.res.gz
-M'XL("('%1%L"`V1E9F]R;5]L+G)E<P#M7&UOVS@2_NY?P2L.J!V2J47)+TG6
-M`2S)<N(Z;7-[0!<7I%DW=EO=VE9J^47RXO[[S5"D)-MJ$G?;[F(1)[$D\N%P
+M'XL("$5`1UL"`V1E9F]R;5]L+G)E<P#M7&UOVS@2_NY?P2L.J!V2J47)+TG6
+M`2S)<N(Z;7-[0!<7I%DW=EO=VE9J^47RXO[[S5"D)-MJ$W?3[F(1)[$D\N%P
 M^/;,#"7EYW^[YZ\((<8I>?%B./H0S"8WX\-Y."_]K'+$(>2,@^E'0N:C<!X2
 MP)`$>3CVWZ<X$W'\RY\4:!V2_KE-GD$E*.#929I3.R60>.-/_7FY<E+"(SD]
@@ -10,90 +10,90 @@
 MYGPYNIT'LU*5;?R@*'_Z`?MV%/H3:%O2>8.Y'TR/B1<>DY)L*&VO36I':T$=
 M^'.C->VLJ1?3;D3/\IV``F]N;D@'-$,9(0D^D`G(3SHBUS:$E0P2D2I9CV8!
-M@3IG?O10^7DPA^],P'[*E5#\\T34<^BJ^6(VA7X:R-%B)!S$I,^PQ@_!8B:G
+M@3IG?G1?^7DPA^],P'[*E5#\\T34<^BJ^6(VA7X:R-%B)!S$I,^PQ@_!8B:G
 M1'A(SJ>D?V5<D\$,-(<^'`V/40PA@U`I+?MI0^.\FGCY:91O1*Z/V;:HWK:H
 MPL[;*?8O*!;&Z_BC/Y*E/,@)AB#M4,Z6@`QN;T=AB)J`C.%@/F!D'M^-2@0_
 MH!!Y$[6PF2<D',WE8G@3G20KINR%%7W:RT[_!:>R0_M7XAJF,)9^X05D%,U'
 MTR%*N`Q:;P)(8@G*1!1VQ6CR?C24"%F1ZJ#B1O:OK%1X+\P)1WDOL'WIL@/6
-M^LT?CTD_6XGB]'X:VO^3B@:&4YQAY#F#+2IL>)=I8&6L40-89/)8,)B0T0)F
-M)HL7;&WR149%1FV7.VK;W&%4-\FC_NUYPF0F$\Q2?P;^/8HK%M1>T"ZLPO,(
+M^LT?CTD_6XGB].LTM/\G%0T,ISC#R',&6U38\"[3P,I8HP:PR.2Q8#`AHP7,
+M3!8OV-KDBXR*C-HN=]2VN<.H;I)'_?%YPF0F$\Q2?P;^/8@K%M1>T"ZLPO,(
 MFKF@SH*>X14R);5A8<*J7-`>9JYAM=(.+%&XCI-NH.T%=:%OL).H)\D`&'XV
 M)[?!Y&XQES6!#E#QQ]EH!,8($5.8$V2DE@Q.IFP&'9>XVZ7>.8/C&1<VGK2[
-MW.NQ4ANOX2AL`)S!]3EU>P]5:#ZV0BXZHDN%([*J,>E,U\\A:T<)Q&M-**`?
-M5,=*U`E(\#Z<SQ:WF(TI.$;AI]$0SW='/AGH(FXI&4S]"OV=GAAD3VK?Z8B-
+MW.NQ4ANOX2AL`)S!]3EU>_=5:#ZT0BXZHDN%([*J,>E,U\\A:T<)Q&M-**#O
+M5<=*U`E(\#Z<SQ:WF(TI.$;AI]$0SW='/AGH(FXI&4S]"OV=GAAD3VK?Z8B-
 M?LAW@^J%?"=L]L$^!L$+KPQF7#-Y%.IHJJ.ECC5UK%\_F82_M4FH9^Q;AR)K
 M(7V!!0?V70@>+Z1WL,C8%[W$C'CKT#!M438(>(M_+<F__D=_^(]44C-G>6#Y
-M3F'002R9R5$$?:8XW&-RNY@M<3Z,])H>DH=-S]$AM&HZE\.$U:?ZBZIR9&>"
+M3F'002R9R5$$?:8XW&-RNY@M<3Z,])H>DOM-S]$AM&HZE\.$U:?ZBZIR9&>"
 M:*-4-@X/A]2H;#BSPL@ZI@'`R2"25V6CDF'`>.JY-('QO!IBK_N-*Q1XS>!$
-M2,G760GSE*A/(M6'5I8G3.2$6CL0'-VRW\AA"FQ@8]L&6IM#8'Y[$P@T@C^/
-M,7O[DLX?MVOV@8NVY,"E[CM@9^?`_3;$OS?-HR*I'DJ-)[Y^XNNOXFN!?/W%
-MEGCAEYJ@)E$K*HO*.^!XH+&#J&Q6N'V`2=0]P*22FF,2EN0KI%6!*9PBA4*:
-M*=)*D;4*=3*DJ9`6(LVD:I$3:%:H+:]*:AI+F!8HE$`[DZL%UA%I)0)-!6MG
-M,!"XL^ZJ#*=!\HU`EEYE1RQ)'4:<]!KZH$V!2O+EN-3/8=NEW%PI/)5-H#8C
-MJK0LQZ2\7)VR!;3--%H?=3XI);7F]=^M,R=-8.4X'#*IE-3J*OV%UDS6F4E+
-MT/J8KQO;DI3C*ANON,UVT.E16[!TVJ+;D#@*#"9JFKSA`_1OAC?#8S#82,<S
-M_Q8(:PH+'5B__>X>HU_L`@AT`=1GTP4P4Q?`;*7F?]/XF]+X@_\P99,3[04T
-MLVRT^[BM5YZVC)/I3\.3:6L*#D2:#Y$O^3U!3##G9/)3:W@R:4T`1'[WFRV_
-MR:+R%*?MI'+RO[1<#<IE5_74$8#*H0E@6^_&_H>X#*6-:N8-F(U=;Z`)T>FS
-M28SM?/;`QEK]+[&']J<X"$`5+G<.NN`HV`<=..L`U6"`"<GN@4<]S.H<=('*
-MSG@WR>GPSH$'O"(CU0,'"GK;CL5^SD&JQ(8.>17R&N05R-?_Y%$\>11?Y5&8
-MS0<\BISO(`T\V*9N<K`/NCF/07D4RNS#P>.>!I@I`(S6F?0U<$;G?`/E;TA3
-M;VI3#[,_<S9J.6=#.0VTHQ4YRWD%RG^0[H`\G*5M/2HT0U8U;X;F*QB,\=B_
-MFX,)"J$C%N/!S)_'A)3G1JLA^=$PV5RTS`IYR`Q9AMH$G=7)YB8H6[)5A0TS
-MHV.)+.(\`NABR=<K&82O,""/ERR&L'R%>X9+P1<K&9E#HE"744S72P1'@JXQ
-M=,\DF[L&XFC;*C1^0+A890;[?D%C<FRH8U,=C[Z%K7!<VO&X"]:@[?(.VHNV
-MQYTN[8I';HA^AQW(KX](T]8DC=EHRW>T(U\<GR?[\C>V+Y;U6/LB"8^WU]R-
-M\:Y'=TG;G=2^2![D[9C:BQ5U%KRSI-X*[Y2X@@J["Z>"VFZ'MNW,Y$C6I/9Z
-MA?=1W(AW%M2#:S?F=F?%'7"TH(Y.-[5"DE]Y.Z+NDG?6M`MJB,SV*-JE-F#L
-ME:!.Q)T5=Y/[J)#D+BG6WP6I<6J-)$=3%_0%S=U522V!EF9ME`1B0$!2N*36
-M1DNS^49#DW:6U+II::*G[0CU]1:@A.`V('3?UXKM75U'0(T=H[1Q;\YJI";I
-M'&U$%*L;<VAWY+TYL$KK!5LOV6*9E6KNF)MS8^<.76W3WHCJ=P]#]@]*%C`%
-M889@`ZF]I.?0Y"5UEO0"^@%&%=L.O4Y[V!4X1*]BM,YGN&E.7Z[I:^PNVH<>
-MB[_%C;JV3=L>Q;MAO.W@1'->8>#B4/LE=5YCJDO;9_Q,IKK4[O,^I@+;O^QC
-M4@=97][J@ZG?Z?+N!=YZ@],SZN*IUZ7>2]K%,MX9]53Q[EE2O'W..SUZCK4[
-MY_3\)7\IB\-I/RG>[=$>I&+M9W#:IU*1]@7OO*(74J<+?OZ:7DCYKWCO-7WU
-M^@]$3CUE?'K*^/24\>DIX]-3QD>UOZ=L3T_9GEZRAI*C4;UF0+G).<A4C4ZN
-MM4Q#"S5J^J2N3[1@HYD3I*6+ZO6?9%EAXO&7_2?[^K>VKT>/MZ\)FZ4V5;-:
-M:C`UNV5Q&;(<+._4"FK"RPR<(K[4LDD"A+6?6C+-A9G90DZD_==*L2H:.YRF
-MJD&U:J'1JAFGZ79B3>BHJJD-V`JW\8XJ&^:K9F;FRP38JMS$#>-5N5XY6)6/
-M*BP%6MEF(7Y6Y08BFA7`UK:QM6UL+<6:V]CZ-M9*L6(;V]C502IK;0.;VT#9
-MG$:A`D>%RC:*%*A7"Y656&,;:VQCS4VYS1Q6;&/%IMP\UBS4MYZV+8^U"O6M
-M%^I0,&BR<Y7:&;!XQ&JIT#RV4=@)&;:>PS8+.Z&6=D(>>[2K@U36V%*@42U4
-MP$H5J.6P1J$"5JI`'ELP8ID"9@YH%@JMYQ;$.[$Y<QH[HV9L%A%)'5NE:E^H
-M2`VBK"4WWHWZ%VJ1^*R*9K:+W@!?5SFM1'NMYH[7^MVWSG_DQ@BZ*IJ#DS1#
-M"S6T5$.+-;1<0PLVM&1T?U)16CRZ/YYR?]1)JK$6+K1P85U_$P_YG?A#>RO5
-M?7=2J@SKE`$%%P?R],]R]?Y28_GD<?Z-/<Y&\_1Q#N>VOY4ZG@7^%6WG("9"
-M=MPJ"6EF#Q04>%,2TLAN&&P[4:G;6N`T45C`N0H:J0YY;RGU:@N\H]3!+?"&
-M>%N:V,SE+?"")$8_"6$8:?UY[T<VL*XQ(M4C[_70C;I47^:]G9(F@5:!>U/2
-MQ-`J\&=XTD?Z(0RCGC8D[\DHE+YQ8S22BO(^3$D33*O`:2EITFD5>"DE342M
-M;;>DI)FI]64_1/6-S*2Z,;E1%[)+[W%):#)(>0%B0X"9JW[3.Z%F5I\>0F'E
-MZMMQ3E0))2U=?T>G!?%1LZI29U4V,]A,L)G)9G4V:[!9DTW8E`TSK'Q]Z5M_
-M4NDZ.B/D39!N+VY$9DV(S)+`C)PC))P/R]$[B\;OS,PC:UJGFG4O@BRUAKJW
-M\A\R^XV`=_:H3RH&/$0@[L5X1'XCK:OHFEW%V7.:37`&5>ZD7*VT?LMRFKD<
-MHP(E60QEY3L+9D[`40XF$&9FN`QV5,W!3(2)#"9R.".'LP`7LXA5$1BA]\&Q
-M#!X8SPL7A3TE]NRI(_,PJ[N&.D(UB7Z)HAS:QB.I-IQ%(F9Q7G4KIWI=%P?]
-M50-B5!HN\%VQI$51XD\E;<(.V>@Q&'Y\,L=_GB7559+?JF>),(+R`1S_><LZ
-M\9__Y/OPW?*?YY[3.8*@[/?T0D9=%T%K`D7226A49=RD`@-HQXV*#2X"=A[D
-M8#(20JMXB58Q:[]1E:%+8LDOPER)1I;>SZ<?9>F]7+HA%5'K_C+*TJ'F_Z$!
-M7V)<4NY$\W>BHF.3+,VH;,4KD)@$+'`BO6:9\%#(<DP.F`4_^.Z+N1NJ2*\A
-MQ%N<,;6I`X,J\(46#X:WS?!A,NI2C[7UPV6$`XR5>(<EY^JI.PXPDL4#$`#@
-M#8*''^@1U':H(ZC`C7`/-Y]M+MK.MB1S7TE<N*+#A=T1W(&_CB=2V;0-"9#M
-M<<ON`-#!+]<3W#-9R3%Y6W08B/-`G@<"/93H@4BQK93U8Y6BKD6%+24X\$UM
-M@45LE"0<>0XR0&L0"^)1=E$CI`Z>5,)#+3Q0P]QN6>VOW3**M9E0I&-1!_XZ
-MYMZMU?%F+EHMU?8./FNL9,E?4[Y.9)(DB,HX9[]`2MP;2%U`&*,6=3(D*EV%
-M"$G@!!4ES+T3!?6A^-C_@'L8.A@J#+#N#=:*`[7'AE&:9]/HXS(-HRZRV*F_
-M&5&52K]>A+^6?NWC5P^^?AQO6JR&G`D_UGV\B>_J1L"9'#DSQKO,@GJQ>GK8
-MI';,'8"X8!:3!VP!(^^*1TP"N`)T\/U!`8P*V6X4\TZ$+`S3*H)9C^4!P>2+
-MP1%W$_%$2X+ZTHVS_5E8P$JU@7S;>#^>VQW>]N@NW9F/E,-M!U>LXU+7Q",L
-M;USB'3`K)K4<6)@6+&*\N2B`'&R@#ZP1EB:L;URSVWKP-M",@\\,.&Z'FK"*
-M\74Z;W\V_C;J`<<(%[C'0;IJHTJN*<]``DB"+Y`#*@/?N,A$@`!.0NI!K?=I
-M71%'67MS%+!3+6$G^6L]<=0/X"CMZ%FG!7XH1A?@B8)+]NSSYV?LV5OX&][!
-M5Q"H![^W^$TNQ?9TBBF0X(?RU38@H0+>$]^$]^[U$W\!?H.HX6V,D43I+95<
-MQ'^AT==P3W5_FGEK[K_V^2\6?6O>NZI6,W^.`_[!A[CG>1#<6,^3W?YTXK%L
-MFK-LRLJY(WM<1B]XAF)`O%PWY//G-[``9G"\C+YF]3YY%=]EQ>HE6MO:&=T0
-MB1<_!RW<3TTN7F..E86*^#(NCL!R,"MCY<GZ?1V1^SY7U6LBAPBQ/P>/QU[N
-M(??-/MA'Z'"@P1_&T(F7]X-O-?@__WE8<@J^O'PL6/=^XY2$GX)5^3)*.AXS
-MCTGY\K+"RF_9+TQN8I6'=\BXR;>3`&'*W07C6+_V_'D1S'U8`LDFV(=9,$GV
-MNHY+-U?X&+U%8TD>P?O_CFYAI;X?X;\+0NP\@*D)E"IK1D@O?+@1:F'4293<
-FGNP_OHR`,I)5+_8MH_NLF?P+(OPO0XL0WXW^9^G_I)H/,B-)````
+M2,G760GSE*A/(M6'5I8G3.2$6CL0'-VRW\AA"FQ@8]L&6IM#8#Z^"00:P9^'
+MF+U]2>>/VS7[P$5;<N!2]QVPLW/@/@[Q[TWSJ$BJAU+CB:^?^/J;^%H@7W^Q
+M)5[XI2:H2=2*RJ+R#C@>:.P@*IL5;A]@$G4/,*FDYIB$)?D*:55@"J=(H9!F
+MBK129*U"G0QI*J2%2#.I6N0$FA5JRZN2FL82I@4*)=#.Y&J!=41:B4!3P=H9
+M#`3NK+LJPVF0?".0I5?9$4M2AQ$GO88^:%.@DGPY+O5SV'8I-U<*3V43J,V(
+M*BW+,2DO5Z=L`6TSC=9'G4]*2:UY_7?KS$D36#D.ATPJ);6Z2G^A-9-U9M(2
+MM#[FZ\:V).6XRL8K;K,=='K4%BR=MN@V)(X"@XF:)F_X`/V;X<WP&`PVTO',
+MOP7"FL)"!]9OO_N*T2]V`02Z`.JSZ0*8J0M@ME+SOVG\36G\P7^8LLF)]@*:
+M63;:?=S6*T];QLGTI^')M#4%!R+-A\B7_)X@)IAS,OFI-3R9M"8`(K_[S9;?
+M9%%YBM-V4CGY7UJN!N6RJWKJ"$#ET`2PK7=C_T-<AM)&-?,&S,:N-]"$Z/39
+M),9V/KMG8ZW^E]A#^U,<!*`*ESL'77`4[(,.G'6`:C#`A&3WP*,>9G4.ND!E
+M9[R;Y'1XY\`#7I&1ZH$#!;UMQV(_YR!58D.'O`IY#?(*Y.M_\BB>/(IO\BC,
+MYCT>1<YWD`8>;%,W.=@'W9S'H#P*9?;AX'%/`\P4`$;K3/H:.*-SOH'R-Z2I
+M-[6IA]F?.1NUG+.AG`;:T8J<Y;P"Y3](=T`>SM*V'A6:(:N:-T/S%0S&>.S?
+MS<$$A=`1B_%@YL]C0LISH]60_&B8;"Y:9H7<9X8L0VV"SNID<Q.4+=FJPH:9
+MT;%$%G$>`72QY.N5#,)7&)#'2Q9#6+["/<.EX(N5C,PA4:C+**;K)8(C0=<8
+MNF>2S5T#<;1M%1H_(%RL,H-]OZ`Q.3;4L:F.1X]A*QR7=CSN@C5HN[R#]J+M
+M<:=+N^*!&Z+?80?RVR/2M#5)8S;:\AWMR!?'Y\F^_(WMBV4]U+Y(PN/M-7=C
+MO.O17=)V)[4OD@=Y.Z;V8D6=!>\LJ;?".R6NH,+NPJF@MMNA;3LS.9(UJ;U>
+MX7T4-^*=!?7@VHVYW5EQ!QPMJ*/33:V0Y%?>CJB[Y)TU[8(:(K,]BG:I#1A[
+M):@3<6?%W>0^*B2Y2XKU=T%JG%HCR='4!7U!<W=54DN@I5D;)8$8$)`4+JFU
+MT=)LOM'0I)TEM6Y:FNAI.T)]O04H(;@-"-WWM6)[5]<14&/'*&W<F[,:J4DZ
+M1QL1Q>K&'-H=>6\.K-)ZP=9+MEAFI9H[YN;<V+E#5]NT-Z+ZW<.0_8.2!4Q!
+MF"'80&HOZ3DT>4F=);V`?H!1Q;9#K],>=@4.T:L8K?,9;IK3EVOZ&KN+]J''
+MXL>X4=>V:=NC>#>,MQV<:,XK#%P<:K^DSFM,=6G[C)_)5)?:?=['5&#[EWU,
+MZB#KRUM],/4[7=Z]P%MO<'I&73SUNM1[2;M8QCNCGBK>/4N*M\]YIT?/L7;G
+MG)Z_Y"]E<3CM)\6[/=J#5*S]#$[[5"K2ON"=5_1"ZG3!SU_3"RG_%>^]IJ]>
+M_X'(J:>,3T\9GYXR/CUE?'K*^*CV]Y3MZ2G;TTO64'(TJM<,*#<Y!YFJT<FU
+MEFEHH49-G]3UB19L-'."M'11O?Z3+"M,//ZR_V1?_];V]>CA]C5AL]2F:E9+
+M#:9FMRPN0Y:#Y9U:04UXF8%3Q)=:-DF`L/932Z:Y,#-;R(FT_UHI5D5CA]-4
+M-:A6+31:->,TW4ZL"1U5-;4!6^$VWE%EPWS5S,Q\F0!;E9NX8;PJURL'J_)1
+MA:5`*]LLQ,^JW$!$LP+8VC:VMHVMI5AS&UO?QEHI5FQC&[LZ2&6M;6!S&RB;
+MTRA4X*A0V4:1`O5JH;(2:VQCC6VLN2FWF<.*;:S8E)O'FH7ZUM.VY;%6H;[U
+M0AT*!DUVKE([`Q:/6"T5FL<V"CLAP]9SV&9A)]323LACCW9UD,H:6PHTJH4*
+M6*D"M1S6*%3`2A7(8PM&+%/`S`'-0J'UW()X)S9G3F-GU(S-(B*I8ZM4[0L5
+MJ4&4M>3&NU'_0BT2GU71S';1&^#K*J>5:*_5W/%:O_O6^8_<&$%717-PDF9H
+MH8:6:FBQAI9K:,&&EHSN3RI*BT?WQU/NCSI)-=;"A18NK.M'\9#?B3^TMU+=
+M=R>ERK!.&5!P<2!/_RQ7[R\UED\>Y]_8XVPT3Q_F<&[[6ZGC6>!?T78.8B)D
+MQZV2D&;V0$&!-R4AC>R&P;83E;JM!4X3A06<JZ"1ZI#WEE*OML`[2AW<`F^(
+MMZ6)S5S>`B](8O23$(:1UI_W?F0#ZQHC4CWR7@_=J$OU9=[;*6D2:!6X-R5-
+M#*T"?X8G?:0?PC#J:4/RGHQ"Z1LW1B.I*._#E#3!M`J<EI(FG5:!EU+21-3:
+M=DM*FIE:7_9#5-_(3*H;DQMU(;OT*RX)308I+T!L"#!SU6]Z)]3,ZM-#**Q<
+M?3O.B2JAI*7K[^BT(#YJ5E7JK,IF!IL)-C/9K,YF#39KL@F;LF&&E:\O/?8G
+ME:ZC,T+>!.GVXD9DUH3(+`G,R#E"POFP'+VS:/S.S#RRIG6J6?<BR%)KJ'LK
+M_R&SWPAX9P_ZI&+`0P3B7HQ'Y#?2NHJNV56</:?9!&=0Y4[*U4KKMRRGF<LQ
+M*E"2Q5!6OK-@Y@0<Y6`"86:&RV!'U1S,1)C(8"*',W(X"W`QBU@5@1%Z'QS+
+MX('QO'!1V%-BSYXZ,@^SNFNH(U23Z)<HRJ%M/))JPUDD8A;G5;=RJM=U<=!?
+M-2!&I>$"WQ5+6A0E_E32)NR0C1Z#X<<G<_SG65)=)?FM>I8((R@?P/&?MZP3
+M__E/O@_?+?]Y[CF=(PC*?D\O9-1U$;0F4"2=A$95QDTJ,(!VW*C8X")@YT$.
+M)B,AM(J7:!6S]AM5&;HDEOPBS)5H9.G]?/I1EM[+I1M2$;7N+Z,L'6K^'QKP
+M)<8EY4XT?R<J.C;)THS*5KP"B4G``B?2:Y8)]X4LQ^2`6?"#[[Z8NZ&*]!I"
+MO,494YLZ,*@"7VCQ8'C;#!\FHR[U6%L_7$8XP%B)=UARKIZZXP`C63P``0#>
+M(+C_@1Y!;8<Z@@K<"/=P\]GFHNUL2S+WE<2%*SI<V!W!'?CK>"*53=N0`-D>
+MM^P.`!W\<CW!/9.5').W18>!.`_D>2#00XD>B!3;2ED_5BGJ6E384H(#W]06
+M6,1&2<*1YR`#M`:Q(!YE%S5"ZN!))3S4P@,US.V6U?[:+:-8FPE%.A9UX*]C
+M[MU:'6_FHM52;>_@L\9*EOPUY>M$)DF"J(QS]@NDQ%<#J0L(8]2B3H9$I:L0
+M(0F<H**$N7>BH#X4'_L?<`]#!T.%`=97@[7B0.VA893FV33ZN$S#J(LL=NIO
+M1E2ETJ\7X:^E7_OXU8.O'\>;%JLA9\*/]37>Q'=U(^!,CIP9XUUF0;U8/3UL
+M4COF#D!<,(O)`[:`D7?%(R8!7`$Z^/Z@`$:%;#>*>2="%H9I%<&LQ_*`8/+%
+MX(B[B7BB)4%]Z<;9_BPL8*7:0+YMO!_/[0YO>W27[LP'RN&V@RO6<:EKXA&6
+M-R[Q#I@5DUH.+$P+%C'>7!1`#C;0!]8(2Q/6-Z[9;3UX&VC&P6<&'+=#35C%
+M^#J=MS\;/XYZP#'"!>YQD*[:J))KRC.0`)+@"^2`RL`W+C(1(("3D'I0ZWU:
+M5\11UMX<!>Q42]A)_EI/'/4#.$H[>M9I@1^*T05XHN"2/?O\^1E[]A;^AG?P
+M%03JP>\M?I-+L3V=8@HD^*%\M0U(J(#WQ*/PWE?]Q%^`WR!J>!MC)%%Z2R47
+M\5]H]"W<4]V?9MZ:^Z]]_HM%WYI?756KF3_'`?_@0]SS/`ANK.?);G\Z\5@V
+MS5DV9>7<D3TNHQ<\0S$@7JX;\OGS&U@`,SA>1M^R>I^\BN^R8O42K6WMC&Z(
+MQ(N?@Q;NIR87KS''RD)%?!D71V`YF)6Q\F3]OH[(USY7U6LBAPBQ/P</QU[N
+M(??-/M@'Z'"@P?_YS_W@VU3CRX>"=8<V3DGX*5B5+Z.D+S'SF)0O+RNL_);]
+MPN2^5'EXAR2:?#L)$&;173".]9O,GQ?!W(=9G>QK?9@%DV3[ZKAT<X5/QELT
+MEGP0O/_OZ!86W_L1_@<@Q,X#F&W`DK)FA/3"^QNAYGJ=1,D=Q_[#RP@H(XGR
+=8M\RNL^:R7\5PG\<M`CQ=>=_EOX/5;(MPO9(````
 `
 end
Index: Tst/Long/deform_l.stat
===================================================================
--- Tst/Long/deform_l.stat	(revision 3e56102a05018b475251661dfef1a91ce1574aa4)
+++ Tst/Long/deform_l.stat	(revision 6c8f2bd7d8f3d28a5621da4bfc39a75f6d4ce055)
@@ -1,4 +1,4 @@
-1 >> tst_memory_0 :: 1531233665:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:494224
-1 >> tst_memory_1 :: 1531233665:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:8056832
-1 >> tst_memory_2 :: 1531233665:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:9019636
-1 >> tst_timer_1 :: 1531233665:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:195
+1 >> tst_memory_0 :: 1531396165:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:496792
+1 >> tst_memory_1 :: 1531396165:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:8056832
+1 >> tst_memory_2 :: 1531396165:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:9019636
+1 >> tst_timer_1 :: 1531396165:4112, 64 bit:4.1.1:x86_64-Linux:nepomuck:198