Index: Tst/Plural/dmod_lib.res.gz.uu
===================================================================
--- Tst/Plural/dmod_lib.res.gz.uu	(revision 7bdf71a8ecd730d43303c559c7b99a81652a0b60)
+++ Tst/Plural/dmod_lib.res.gz.uu	(revision 11b6490b056dd2fc128f1ca13075d8022d3631d5)
@@ -1,72 +1,72 @@
 begin 640 dmod_lib.res.gz
-M'XL(",W;Y4D``V1M;V1?;&EB+G)E<P#M6VUOVS@2_NY?003W0;:L1B1E)VG@
-M`$W=[!I(VJ+NX?9P:`HYD1-A'2DK*:WEP_WWFQE2%"4K+]V^H!_:HC8Y'`Z'
-MSPR'0]*=OY_.7C/&^!$[G1VSG2(OGJWBQ<YA;ZY;Q!$#XL<XB0NG?]C#;W9T
-MQ"YOTLN/P/DLB3X_RXNP,!TDB=I!AI:HX(CM[K+L+F'A:L6B=7ASNXIRTSQZ
-M!A\[9R^@\O;=FY>OIO]\]VK^'/JW2:;'^`@^M!P6)LDR/^S!"+=9>J&J;)FE
-M-PRT8)4ZO5=_O#A[>_KJ>8^Q+$ZN6,8FS!\ZZV$YW/2'T]M#:+A-5R4[@8;-
-M8'TNW/)<(O4R6K(7#*@DVCGI'^)TKJ,L&K+B.L+V\&Y5L.,SF-]5FL7%]0W[
-M',-4%Q&[RZ-+D)%'!8WZ@OIBKW]%Y0KYHT46LCAA2I/A=#V<EL/II@^=3J?(
-MC<PP<GP=K\(BS5BZ9"?G__7X_UCZ*<K8B][I]#_\PZ0<3$M7#C:#Z<:52!,?
-M)NO!=.T)HB%%`N5<`)\G!R46B!I\F.@J\JZ1NT3Z"&2>2Q2'G3:Z@"WC#Y.*
-M$5`Z&)187-/`4)ZND6?OPZ1JH)'<8+"AL55-,4)OH<5@G_T/$\.%`WMB3U65
-MB)I;>J.@%NV-J02`'<\)WBQ-BQPL4%RS&S!,?+N*+^(BCG+$[GA.9D[2FSA<
-M]0`Y]`CV$2'TN"H"<EZP*U4%0/-&526@REA5`"!O#RK`3S+X4/_M&4?=VW)4
-MO^6I_M>ZZOI<HJ.Z&^6LM]"C6$6?HA5VJMUWPN8TWO$9.;#MD<`#*H6K(LJ2
-ML(BA:SED:1*QBS!!_]4]W[QGX'VJ?/KFO?)/[7S*:%[M5$+3UM[:T"0Z5$TK
-MM?.AD[KDO>ACX)JY/;WX)KQULB'HK*=R;%:B[YQ.AS29:B['APVMFI+=L:V8
-MK:SL4#;H4':$ZX=6A%X8&_4U1B_5"X,82L6`7WKEC'&%*0]M^9QXBL_QEI.)
-MVL7V;1>;MX+A_)M$PR>ZF/&QKPV1W].U#&X'V[BMTJLV=$#Z(O0ZL`L`NY&[
-M!@<(GH0>#.DH=V\APA$2CI@$`YKFVAT-<(H##/QKC*BEQ\=0RB':E@HWX0,]
-MIXX`'+5BAW/A<5'U]K2\$KI1HR3!!!P7`^7+'O?]2NA8B<_=D:_$5ZARWT9U
-M`0$E+Z(X.3ZK<;6(7^B7P\\/>*88?.Y&UQJ/8+TWXHMZ[<E=8<=[:<=[71GK
-MX$^5/93$N[:"QG;`N8U.>AMEN*';X-2T'[8MU$-V>=V)R5=@T5[%2;BR=D\6
-M%WFT6O:LL4S6PJZB),KB"SMUZ0S+M"J_3V`&T=@]?S`TZUPH)\U]4KVILG_/
-M5N)WJ>QWZ>QW*>T_NIWX3]A/%CEIG*393;B*-]$E.Z[\G0S5RR'V[`URB$)\
-M3^X>0$FZ0JJ2</DHP)(;^+L'[?PI3"X[TB=TA=80WV0_8^SMO/8U[9-#EC\K
-MGD'+`#+>W(64=P(SADK.8%&`O7IB=Y]7:28B1%FCH4'(14)`A#K[A/S1XD%"
-MX&I")2:O.$A&KIJK439$P.2TRE0K0JGER4K`AJ1;S4J^9[AI:"5*.T-3,H3=
-M2I%*<]6,2G,L4S\R)IB2>IG*1E=&-9_+5:?2KA"?*V@D9'/W*QZ7CXFHEG86
-M7=Y=1`[:PUODP].IVN<OKJ.+/\EP$,3`=$6)GO)VWO/KT">V,N';Z`)B2"L=
-M5L0OW'(O6Z%/>J6H0ASDB_;!K9DJWL3)+"G>@;L[QW/PWJ$/$9#V!%!JGJK<
-M!9@@"85@EQ31%1RX<'6P.&?$5XG+S'CM5+L=4;?5M"9.&>W0XT.Y&_0;811'
-M[7W4FS\&H[':[P]ZM-9DM8,+=0*C-<?W]2X.N_V^/G!Y$E,%B$"T$+F_7RT,
-MZ4JA'=03?*S[0:S@R-VMI2<04M"RPF9Q5["\P+QN6V^A])957O&`X@>UWD%U
-M4&SHC8NG4EO/#,):("NM`W%PO]:<SC^@=;2^B&Z+.,5=K=9SJH<1+96]L5(.
-M!U5::!6)>T134:/3:912A.W9[>$`"+8Z]7[$0V\U0S5!LV3DUI)Y&V;AC9TO
-MV-0G+AK''X;#1?^^;%4PCSFE%_8'\+GH/YP[V,,WEU<KB5?3=PG/TG6\$$3K
-MBP)A+B6415TG=*&QK%#+D7V`[*9CKG,#DP8'5;;J>&(0PC]@PI&\?4J&G1"L
-M!`V#A;LX%S0P;#>H]F&/OE!%!T7KJL`J:-%>X(33;XB3\`BD<Z'VK*RD4&$[
-MU*=P=0<I\"3$6'B+8B,X8.?F%-M"[S=`[YYC+$%7`6?#9G(218==Q4#3@A0F
-MWX:4@-"(]2G]:2-B1>]@RQ6/SV8M-P3*WSHJQ9<1P$7>!YDLS.@)/@=C=9^1
-MMH[^7N[P/GP(_)!]`UU9I5/``CZ"[67]I1C-J;*&$F\%*3]`J6@8ZJ.6M^E/
-M5-FO.&6?E!AH)01X#7U53:+?=3&`7=SZ>$+#<)-.D7QN$BIB)A9J$.;`TFJH
-M#R^MAJ#KZ%+;?V3;G[9[W#1K!S"DASV@MNJ$;/K%AV<SCG,RQ-S%IU".2]"C
-M*N[+H=JA8=4MECW>6+6#LBGD-YCE3KBZ$CMJL_5X2\#5UBUBR42OOGWA=!.]
-M,W_U\LWKZ8MW_V93[^S-M'6-_4"KD;-]4;@5YK_^3-BXU7YTA3V\P'Y=-W==
-MYGWK"V2^O^47IV_>MQP#*#_$,RK7@/%^^<9/X!L'6[ZQY1I?[QG:+]S-^>@I
-MOO&8:W!UY^AR7^W`8^TEOG:3AOF5\0&CD;Z#=%4S=1E5J34?#;31`N3$XW;+
-MK4:&KN5NM.O`I)2H#6TTQL.`X1$+2KX+.M<7AGNFBE8,ZE:T8R!-%:\-@YH9
-M+PZ#`U/=1P^HF0^P2JV=]XH-;Q#^]GVVO87,O]$>\K>>FW[X[;[@VV@T`N?\
-M6T7.+WT;>31X?B]$Q#8BVX#\>#P>@^,GO2PVL&X?TG^]\/YZX?V6+[PBZ#Q\
-M\8[3%_]!;Y7V0^^]]YL-N]8JJFLX:0YO>.R2U=DM@7.7=?S*>WY'7][HVW7N
-MRWO6QMA]=A4=\(FO7JF89GXGX(2>O'7B;<^ZX[`J>[)+R*[4%[<>%)O`6Y?V
-M8KP%W4EX4:19"SM%_+E]3^FHIB_\0>Y*C>13'7!+`+<%W.>%'9V=JO>YZ)L7
-MKX;1H',MD-L&H6N"G66:7:4%7BWHDFF'XZ(Q5YI\6J47EJD4X8M]W)G>.@(?
-M61S>)SQ7<5ZP4^!!9JPX64U_#70]DG-J0GJ6:W;G=<-J64[70.H7*XA5F`%2
-M40:2X@OVG/F*GMS=+"+ZY=NG$$0]![<F.OU9P%!_8MP$>II=1B1XFEL<]9_G
-M+`EOHAR+:U:R#BG"EG+YJ)1-EPQIRWA96^^@MD[]\E0;J*8]R4;,?@'+C?LO
-M.=.1R(&ML5_?L,XXOIY63[?.DO=A=U+OW0P4!X[6NRZ#+H>]&5>;&&Q6,_H-
-M"6Q54)!F-[,>T6:\?D$C9=A2,'5=7DI+$R):J@A2!0>$L#P3-"">A*$HS.\L
-M['%$XZ4N23^SSQ&+5ZN[O,C"(J(EM8BNPT]Q>D=^LZ0%&&\BU:-(KR+@R53$
-M#-G5*EV`8I71#,A"@;RVGQB7DJ`_0'P!E3Y^<_H,**SN[FII"\_ZJ03JP"?&
-M+#46$F09[9REQ`B/2`!>,TDYCLNQA(=C&!"+DHI!"Q/5L\($7^]#=I-F$3W.
-M91&L*)A1'A=W(;Y05%-D.6NL=LN3V))L)YG+2OS8V"9L6=`8$+369^69R7AF
-M)MV94:XC6IHK8]89C_3KA1+GOZ>K%$&T0IE%?,)2>??`4[&]3+;N/TFO)YQ,
-MZCLNZU7!Q>>NLI$5-YX1U).8>M\L"1)K5@X^K=/V4<$]87EQZ=#(?1MH6XNF
-MB!GPU5N'Y#6F610OEU%2XZD)#V-)<1S#N&)V@N&H&<NQ\N[E86]=PE8..WE0
-M#R[JP<,L"Y.KR#HD*<(3#/F'_6.PHF',O]!N2I`C2:UZ3?U%"X-R\;5ZURW5
-M2RX`IQYR-^H!=^UNU+-M284]XH"BF88\^I4-_3S9D`S4?U'`_X5PA^]9A__H
-*_1]'3(\<V#``````
+M'XL(".F[;DH``V1M;V1?;&EB+G)E<P#M6VUOVS@2_NY?003W0;:L1B1E)VG@
+M`$W=[!I(FB+NX?9P:`HYD1-A92DK*:WEP_WWFQE2$B4K+]V^H!_:HC8Y'`Z'
+MSPR'0]*=OY_.WC+&^!$[G1VSG3S+7T3A8N>P-]<MXH@!\6,8A[G5/^SA-SLZ
+M8M>KY/HC<+Z(@\\OLMS/JPZ21.T@0TN4=\1V=UEZ'S,_BEBP]E=W49!5S:,7
+M\+%S]@HJ[R[.7[^9_O/BS?PE]&^3JA[C(_C0<I@?Q\OLL`<CW*7)E:JR99JL
+M&&C!2G5Z;_YX=?;N],W+'F-I&-^PE$V8.[36PV*XZ0^G=X?0<)=$!3N!ALU@
+M?2GLXE(B]3I8LE<,J"3:.ND?XG1N@S08LOPVP';_/LK9\1G,[R9)P_QVQ3Z'
+M,-5%P.ZSX!ID9$%.H[ZBOMCK7T$1(7^P2'T6QDQI,IRNA]-B.-WTH=/I%+F1
+M&48.;\/(SY.4)4MV<OE?A_^/)9^"E+WJG4[_PS],BL&TL.5@,YAN;(DT\6&R
+M'DS7CB`:4B10+@7P.7)08(&HWH>)KB+O&KD+I(]`YJ5$<=AIHPO8,OXP*1D!
+MI8-!@<4U#0SEZ1IY]CY,R@8:R?8&&QI;U10C]!9:#/;9_S"IN'!@1^RIJA)1
+M<TMGY-6BG3&5`+#C.<&;)DF>@07R6[8"PX1W47@5YF&0(7;'<S)SG*Q"/^H!
+M<N@1["-"Z'!5!.0<;U>J"H#FC,J*1Y6QJ@!`SAY4@)]D\*'^VZL<=6_+4=V6
+MI[I?ZZKK2XF.:F^4L]Y!CSP*/@41=JK==\+F--[Q&3FPZ9'``RKY41ZDL9^'
+MT+48LB0.V)4?H__JGN?O&7B?*I^>OU?^J9U/&<VIG4IHVMI95S2)#E73"NU\
+MZ*0V>2_Z&+AF9DXO7/EW5CH$G?54CJN5Z%JGTR%-IIS+\6%#JZ9D>VPJ9BHK
+M.Y3U.I0=X?JA%:$7QD9]C=%+]<(@AD(QX)=>.6-<8<I#6SXGGN-SO.5DHG:Q
+M?=/%YJU@./\FT?"9+E;YV->&R._I6A5N!]NX1<E-&SH@?1%Z'=AY@-W(7H,#
+M>,]"#X:TE+NW$.$("4=,O`%-<VV/!CC%`0;^-4;4PN%C*&40;0N%FW"!GE%'
+M`(Y:L<.E<+@H>SM:7@'=J%&28`*.BX'R98>[;BETK,1G]LA5XDM4N6NBNH"`
+MDN5!&!^?U;@:Q"_TR^'G1SQ3##YWHVN,1[`^&/%%O?;DKC#CO33CO:Z,=?"G
+MRAY*XEU;06,[X-Q$)[D+4MS037!JV@_;%NHAN[SNI,I78-'>A+$?&;LG"_,L
+MB)8]8ZPJ:V$W01RDX969NG2&95J5WR<P@VCLGCT:FG4NE)'F+JG>5-E]8"MQ
+MNU1VNW1VNY1VG]Q.W&?L)XN,-(Z3=.5'X2:X9L>EOY.A>AG$GKU!!E&([\G=
+M`RA)6TA5$C8?>5BR/7?WH)T_^?%U1_J$KM`:XIOL9XR]F]>^IGURR+(7^0MH
+M&4#&F]F0\DY@QE#)&"P*L%=/[.[S,LU$A"AKK&@0<I'@$:'./B%_-'B0X-F:
+M4(K)2@Z2D:GF<I0-$3`Y+3/5DE!H>;(4L"'I1K.2[U3<-+02I9VA*1G";JE(
+MJ;EJ1J4YEJD?&1-,2;VJRD971C6?S56GPJP0GRUH)&2S]TL>FX^)J)9V&ES?
+M7P46VL-99,/3J=KGKVZ#JS_)<!#$P'1Y@9[R;MYSZ]`GMC+AN^`*8D@K'5;$
+M+]QRKUNA3SJ%*$,<Y(OFP:V9*J[">!;G%^#NUO$<O'?H0@2D/0&4FB<J=P$F
+M2$(AV,5Y<`,'+EP=+,P8\97BTFJ\=JK=CJC;:AH3IXQVZ/"AW/7ZC3"*H_8^
+MZLT?@]%8[?<'/5IKLMS!A3J!T9KC^WH7A]U^7Q^X'(FI`D0@6HC<W2\7AK2E
+MT`[J"#[6_2!6<.3NUM(1""EH66*SN,]9EF->MZVW4'K+,J]X1/&#6F^O/"@V
+M],;%4ZJM9P9AS9.EUIXX>%AK3N<?T#I87P5W>9C@KE;K.=7#B);*SE@IAX,J
+M+;2*Q#VBJ:C1Z31**<+V[/9P``1;G7H_XJ&WG*&:8+5DY-:2>>>G_LK,%TSJ
+M,Q>-Y0[]X:+_4+8JF,.LPO'[`_A<]!_/'<SAF\NKE<2KZ=N$9V%;C@^B]46!
+MJ"XEE$5MR[>AL2A1RY!]@.Q5QTSG!E4:[)79JN6(@0__@`E'<O8I&;9\L!(T
+M#!;VXE+0P+#=H-J'/?I"%2T4K:L"JZ!%>X$33K\A3L(AD"Z%VK/2@D*%Z5"?
+M_.@>4N")C['P#L4&<,#.JE-L"[W?`+T'CK$$70F<"5N5DR@Z["H5-"U(8?)M
+M2`D(C5B?TI\V(D;T]K9<\?ALUG)#H/RMHU)X'0!<Y'V0R<*,GN%S,%;W&6GK
+MZ.]D%N_#A\`/V:^@*\IT"EC`1["]J+\48W6JK*'$6T'*#U`J&H;ZJ.5=]2>J
+M[)><LD]*#+02`KR&OLHFT>^Z&,`N=GT\H6%XE4Z1?%XE5,1,+-0@J@-+JZ$^
+MO+0:O*ZC2VW_D6E_VNYQTZP=H"(][@&U52=DTR\^/%?C6"=#S%U<"N6X!!VJ
+MXK[LJQT:5MUBV>.-53LHFD)^@UGN^-&-V%&;K<-;`FZV;A$+)GKU[0NGF^B=
+M^9O7YV^GKR[^S:;.V?FT=8W]2&LE9_NB<"O,?_V9L'&K_>0*>WR!_;IN[KK,
+M^]87R'Q_RR].S]^W'`,H/\0S2M>`\7[YQD_@&P=;OK'E&E_O&=HO[,WEZ#F^
+M\91K<'7G:'-7[<!C[26N=I.&^97Q`:.1OH.T53-U&96I-1\-M-$\Y,3C=LNM
+M1A5=R]UHUX%)*5$;VF@J#P.&)RPH^2[H7%\8[E55M*)7MZ(=/5E5\=K0JYGQ
+MXM`[J*K[Z`$U\P%6J;7S7K'A#<+=OL\VMY#Y-]I#_M9STP^_W1=\&XU&X)Q_
+MJ\CYI6\C3P;/[X6(V$9D&Y`?C\=3</RDE\45K-N']%\OO+]>>+_E"Z_P.@]?
+MO./TQ7_06Z7YT/O@_6;#KK6*ZAI.5H<W/';)\NP6P[G+.'YE/;>C+V_T[3KW
+M93UC8^P^NXH.^,17KU1,,[\3<$)/WCCQMF?=<5B5/=DE9%?JBUL'BDW@C4M[
+M,=Z"[L2_RI.TA9TB_MR^IW14TQ?N(+.E1O*Y#K@E@)L"'O+"CLY6V?M2]*L7
+MKX;1H',MD)L&H6N"G662WB0Y7BWH4M4.Q\7*7$G\*4JN#%,IPA?[N#6]LP0^
+MLEB\3WA&89:S4^!!9JQ8:4U_"W0]DG5:A?0TT^S6VX;5THRN@=0O5A`K/P6D
+M@A0DA5?L)7,5/;Y?+0+ZY=LG'T2]!+<F.OU9P%!_8MP$>I)>!R1XFAD<]9^7
+M+/9708;%-2LZA`A3R/630C8=(J0IXG5MNX/:-O6[4VV>FO8L"S'S_2NKG'_)
+MF8Y#%FR,_?I^=<;Q[;1\N+66O`][DWKM9J`X<+1>=1ET.>S-Z/<FM&_-Z!<D
+ML%%!`;<O0=N7\80VX_7[&2G#EH*IR_)"&IH0T5!%D"HX(`3EF:`!\>@+13V@
+MT/OEN#6@:#S8Q<EG]CE@813=9WGJYP&MK$5PZW\*DWMRGR6MPW`3J!YY<A,`
+M3ZH"I\]NHF0!&I;6J]`6"NVU^=*XE&2#`P0:H.CC-Z=/CZ+K[JZ6MG",7TR@
+M#GQ2V:<&18*L2CMK*3'0(R0`W$Q2JF-S+.$9&0;$HJ2BU\)$]2PQP4=\GZV2
+M-*`WNC2`A04SRL+\WL>'BG**+&.-16^X%%N2$26S68$?&].6+5-6E@2M=>XS
+M(R-BKC,C*Y(KZ92GJ;DR9IWX2+=>,6'V>Q(E"*(1T0SB,];,Q2,OQN9ZV;H&
+M);V><4"IK[J,QP4;7[V*1G+<>$U0+V/JF;.@5-&8E84O[+2+E'!/6)9?6S1R
+MWP3:U*(I8@9\]0XB>8UI&H3+91#7>&K"XUA2.,=HKI@M;SAJAG2L7+P^[*T+
+MV-%A0_?JP44]N)^F?GP3&&<E17B&(?\P?Q.6-XSY%]I-";(DJ56OJ;]H85!*
+MOE;/NX5ZT`7@U'ON1KWCKNV->KTMJ+!''%"LIB&/?B5%/T]2)#WU/Q7P/R/<
+0X[/6X3]Z_P>S`W#UWS``````
 `
 end
Index: Tst/Plural/dmod_lib.stat
===================================================================
--- Tst/Plural/dmod_lib.stat	(revision 7bdf71a8ecd730d43303c559c7b99a81652a0b60)
+++ Tst/Plural/dmod_lib.stat	(revision 11b6490b056dd2fc128f1ca13075d8022d3631d5)
@@ -1,4 +1,4 @@
-1 >> tst_memory_0 :: 1239800782:3100-2009041418:3-1-0:ix86-Linux:nepomuck:70612616
-1 >> tst_memory_1 :: 1239800782:3100-2009041418:3-1-0:ix86-Linux:nepomuck:77495620
-1 >> tst_memory_2 :: 1239800782:3100-2009041418:3-1-0:ix86-Linux:nepomuck:77495620
-1 >> tst_timer_1 :: 1239800782:3100-2009041418:3-1-0:ix86-Linux:nepomuck:47244
+1 >> tst_memory_0 :: 1248771049:3104-2009072709:3-1-0:ix86-Linux:nepomuck:70585028
+1 >> tst_memory_1 :: 1248771049:3104-2009072709:3-1-0:ix86-Linux:nepomuck:77429208
+1 >> tst_memory_2 :: 1248771049:3104-2009072709:3-1-0:ix86-Linux:nepomuck:77478360
+1 >> tst_timer_1 :: 1248771049:3104-2009072709:3-1-0:ix86-Linux:nepomuck:19980